/* BanNode.h - NeonServ v5.5
 * Copyright (C) 2011-2012  Philipp Kreil (pk910)
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program. If not, see <http://www.gnu.org/licenses/>. 
 */
#ifndef _BanNode_h
#define _BanNode_h
#include "main.h"

struct ChanNode;

struct BanNode {
    char *mask;
    struct ChanNode *chan;
    
    struct BanNode *next;
};

#ifndef DND_FUNCTIONS
struct BanNode* addChannelBan(struct ChanNode *chan, char *mask);
/* MODULAR ACCESSIBLE */ struct BanNode* getMatchingChannelBan(struct ChanNode *chan, char *mask);
void removeChannelBanMask(struct ChanNode *chan, char *mask);
void removeChannelBan(struct BanNode *ban);
void removeChannelBans(struct ChanNode *chan);
#endif

#endif