/* cmd_neonserv_downall.c - NeonServ v5.5
 * Copyright (C) 2011-2012  Philipp Kreil (pk910)
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program. If not, see <http://www.gnu.org/licenses/>. 
 */

#include "cmd_neonserv.h"

/*
* no arguments
*/

CMD_BIND(neonserv_cmd_downall) {
    struct ChanUser *chanuser;
    int botid = client->botid;
    for(chanuser = getUserChannels(user, NULL); chanuser; chanuser = getUserChannels(user, chanuser)) {
        chan = chanuser->chan;
        loadChannelSettings(chan);
        if(!(chan->flags & CHANFLAG_CHAN_REGISTERED)) continue;
        printf_mysql_query("SELECT `botid` FROM `bot_channels` LEFT JOIN `bots` ON `bot_channels`.`botid` = `bots`.`id` WHERE `chanid` = '%d' AND `botclass` = '%d'", chan->channel_id, client->botid);
        if (mysql_fetch_row(mysql_use()) == NULL) continue;
        int done = 0;
        client = getChannelBot(chan, botid);
        if(!client) continue;
        if((chanuser->flags & CHANUSERFLAG_OPPED)) {
            putsock(client, "MODE %s -o %s", chan->name, user->nick);
            done = 1;
        }
        if((chanuser->flags & CHANUSERFLAG_VOICED)) {
            putsock(client, "MODE %s -v %s", chan->name, user->nick);
            done = 1;
        }
        if(done) {
            //event hack
            event->chan = chan;
            logEvent(event);
        }
    }
}
