/* module.c - NeonServ v5.5
 * Copyright (C) 2011-2012  Philipp Kreil (pk910)
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program. If not, see <http://www.gnu.org/licenses/>. 
 */
#include "../module.h"
#include "bot_NeonServ.h"
#include "cmd_neonserv.h"

static int module_initialize() {
    register_commands();
    return 0;
}

static void module_start(int type) {
    init_NeonServ(type);
}

static void module_stop(int type) {
    free_NeonServ(type);
}

MODULE_HEADER(module_initialize, module_start, module_stop);
