/* cmd_global.h - NeonServ v5.5
 * Copyright (C) 2011-2012  Philipp Kreil (pk910)
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program. If not, see <http://www.gnu.org/licenses/>. 
 */
#ifndef _cmd_global_h
#define _cmd_global_h
#include "../module.h"
#include "../botid.h"
#include "../../main.h"
#include "../../modcmd.h"
#include "../../IRCParser.h"
#include "../../IRCEvents.h"
#include "../../UserNode.h"
#include "../../ChanNode.h"
#include "../../ChanUser.h"
#include "../../ModeNode.h"
#include "../../BanNode.h"
#include "../../ClientSocket.h"
#include "../../mysqlConn.h"
#include "../../lang.h"
#include "../../HandleInfoHandler.h"
#include "../../WHOHandler.h"
#include "../../DBHelper.h"
#include "../../tools.h"
#include "../../timeq.h"
#include "../../version.h"
#include "../../EventLogger.h"
#include "../../bots.h"

void register_commands();

CMD_BIND(global_cmd_addbot);
CMD_BIND(global_cmd_bind);
CMD_BIND(global_cmd_bots);
CMD_BIND(global_cmd_command);
CMD_BIND(global_cmd_commands);
CMD_BIND(global_cmd_delbot);
CMD_BIND(global_cmd_die);
CMD_BIND(global_cmd_emote);
CMD_BIND(global_cmd_extscript);
CMD_BIND(global_cmd_global);
CMD_BIND(global_cmd_god);
CMD_BIND(global_cmd_meminfo);
CMD_BIND(global_cmd_modcmd);
CMD_BIND(global_cmd_motd);
CMD_BIND(global_cmd_move);
CMD_BIND(global_cmd_netinfo);
CMD_BIND(global_cmd_notice);
CMD_BIND(global_cmd_raw);
CMD_BIND(global_cmd_reconnect);
CMD_BIND(global_cmd_register);
CMD_BIND(global_cmd_reload);
CMD_BIND(global_cmd_restart);
CMD_BIND(global_cmd_reloadlang);
CMD_BIND(global_cmd_say);
CMD_BIND(global_cmd_setaccess);
CMD_BIND(global_cmd_setbot);
CMD_BIND(global_cmd_staff);
CMD_BIND(global_cmd_unbind);
CMD_BIND(global_cmd_unregister);
CMD_BIND(global_cmd_version);


#endif