/* cmd_global_reloadlang.c - NeonServ v5.5
 * Copyright (C) 2011-2012  Philipp Kreil (pk910)
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program. If not, see <http://www.gnu.org/licenses/>. 
 */

#include "cmd_global.h"

/*
* argv[0]    language tag
*/

CMD_BIND(global_cmd_reloadlang) {
    MYSQL_RES *res;
    MYSQL_ROW row;
    printf_mysql_query("SELECT `text`, `lang` FROM `language` WHERE `ident` = 'name' AND `lang` = '%s'", escape_string(argv[0]));
    res = mysql_use();
    if((row = mysql_fetch_row(res)) != NULL) {
        load_language(row[1], row[0]);
        reply(textclient, user, "NS_RELOADLANG_DONE", row[0], row[1]);
    } else {
        reply(textclient, user, "NS_RELOADLANG_UNKNOWN", argv[0]);
    }
}